# Лаб 5 Регрессия

Использовать регрессию по варианту для данных из датасета курсовой
Predict students' dropout and academic success (отсев студентов), 
самостоятельно сформулировав задачу. Оценить, насколько хорошо она подходит 
для решения сформулированной вами задачи.

# Вариант 3

Лассо-регрессия

# Запуск

Выполнением скрипта файла (вывод в консоль).

# Описание модели:

Лассо (Lasso) — это метод регрессионного анализа, который используется в статистике и 
машинном обучении для предсказания значения зависимой переменной. 

Регрессия Лассо использует регуляризацию L1 для добавления штрафа, равного абсолютному 
значению коэффициентов. Это уменьшает некоторые коэффициенты и устанавливает другие равными 0, 
выполняя автоматический выбор функции. Обычная регрессия не имеет регуляризации.

# Задача регрессии
Для прогнозирования отсева учащихся и набора данных об успеваемости спрогнозируйте отсев 
используя регрессию Лассо для признаков
'Curricular units 2nd sem (approved)' - (Учебные блоки 2-го семестра (утверждены))
'Curricular units 2nd sem (grade)' - (Учебные блоки 2-го семестра (класс))
'Tuition fees up to date' - (Стоимость обучения")
'Curricular units 2nd sem (grade)' - (Учебные блоки 2-го семестра (класс))

# Результаты
Точность регрессии для вышеперечисленных признаков составили 0.6256 (alpha = 0.01)
При изменении коэффициента регуляризации в диапозоне от 0.01 до 1.5 наблюдается только ухудшение качества 
модели, таким образом для заданных параметров подходит больше обычная модель линейной регрессии, так как
по этим признакам судя по результатам наблюдается линейная зависимость.
Для этих признаков модель регрессии подходит плохо, нужно искать другую.

<p>
    <div>График</div>
    <img src="screens/myplot.png" width="650" title="График">
</p>